import { ApplicationModal, PopupContent, PopupList } from './atom';
export declare function useBlockNumber(): number | undefined;
export declare function useModalOpen(modal: ApplicationModal): boolean;
export declare function useToggleModal(modal: ApplicationModal): () => void;
export declare function useWalletModalToggle(): () => void;
export declare function usePoolDetailnModalToggle(): () => void;
export declare function useAddPopup(): (content: PopupContent, key?: string) => void;
export declare function useRemovePopup(): (key: string) => void;
export declare function useActivePopups(): PopupList;
export declare function useGetSelectedPoolId(): string | undefined;
export declare function useUpdateSelectedPoolId(): (poolId: string | undefined) => void;
export declare function useShouldUseSubgraph(): boolean;
export declare function useToggleDelegateModal(): () => void;
